#include "mbed.h"
#include <string>
#include "MMA8451Q.h"
 
#define MMA8451_I2C_ADDRESS (0x1d<<1)
 
DigitalOut myled(LED1);
MMA8451Q acc(PTE25, PTE24, MMA8451_I2C_ADDRESS);
Serial pc(USBTX, USBRX);
 
 
Ticker ticker;
 
void turnOnLed(char color, int ipct)
{
    if(color!='R' && color!='G' && color!='B')
        return;
    pc.printf("%d\n",ipct);   
}

void readAccValue()
{
    float x(acc.getAccX()),y(acc.getAccY()),z(acc.getAccZ());
    pc.printf("X value: %f; Y value: %f; Z value: %f;\n", x,y,z);
}
 
 
int main(){
    ticker.attach(readAccValue,1.5);
    while(1);
}